hxt-9.2.2: A collection of tools for processing XML with Haskell.

Safe Haskell | Safe-Infered

Text.XML.HXT.Parser.ProtocolHandlerUtil

Synopsis

- parseContentType :: Parser [(String, String)]

# Documentation

parseContentType :: Parser [(String, String)]

Try to extract charset spec from Content-Type header e.g. "text/html; charset=ISO-8859-1"

Sometimes the server deliver the charset spec in quotes these are removed